import './demo1.css';
import Nav from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const { Item, SubNav } = Nav;
const header = React.createElement("span", { className: "fusion" }, "FUSION");
const footer = (React.createElement("a", { className: "login-in", href: "javascript:;" }, "Login in"));
ReactDOM.render(React.createElement("div", null,
    React.createElement(Nav, { className: "basic-nav", mode: "popup", direction: "hoz", type: "normal", header: header, footer: footer, defaultSelectedKeys: ['home'], triggerType: "click" },
        React.createElement(Item, { key: "home" }, "Home"),
        React.createElement(SubNav, { label: "Component", 
            // @ts-ignore
            noIcon: true },
            React.createElement(SubNav, { label: "Next" },
                React.createElement(Item, { key: "next-design" }, "Design"),
                React.createElement(Item, { key: "next-doc" }, "Document")),
            React.createElement(SubNav, { label: "Meet" },
                React.createElement(Item, { key: "meet-design" }, "Design"),
                React.createElement(Item, { key: "meet-doc" }, "Document"))),
        React.createElement(Item, { key: "document" }, "Document")),
    React.createElement(Nav, { className: "basic-nav", mode: "popup", direction: "hoz", type: "primary", header: header, footer: footer, defaultSelectedKeys: ['home'], triggerType: "hover" },
        React.createElement(Item, { key: "home" }, "Home"),
        React.createElement(SubNav, { label: "Component", 
            // @ts-ignore
            noIcon: true },
            React.createElement(SubNav, { label: "Next" },
                React.createElement(Item, { key: "next-design" }, "Design"),
                React.createElement(Item, { key: "next-doc" }, "Document")),
            React.createElement(SubNav, { label: "Meet" },
                React.createElement(Item, { key: "meet-design" }, "Design"),
                React.createElement(Item, { key: "meet-doc" }, "Document"))),
        React.createElement(Item, { key: "document" }, "Document")),
    React.createElement(Nav, { className: "basic-nav", mode: "popup", direction: "hoz", type: "secondary", header: header, footer: footer, defaultSelectedKeys: ['home'], triggerType: "hover" },
        React.createElement(Item, { key: "home" }, "Home"),
        React.createElement(SubNav, { label: "Component", 
            // @ts-ignore
            noIcon: true },
            React.createElement(SubNav, { label: "Next" },
                React.createElement(Item, { key: "next-design" }, "Design"),
                React.createElement(Item, { key: "next-doc" }, "Document")),
            React.createElement(SubNav, { label: "Meet" },
                React.createElement(Item, { key: "meet-design" }, "Design"),
                React.createElement(Item, { key: "meet-doc" }, "Document"))),
        React.createElement(Item, { key: "document" }, "Document")),
    React.createElement(Nav, { className: "basic-nav", mode: "popup", direction: "hoz", type: "line", header: header, footer: footer, defaultSelectedKeys: ['home'], triggerType: "hover" },
        React.createElement(Item, { key: "home" }, "Home"),
        React.createElement(SubNav, { label: "Component", 
            // @ts-ignore
            noIcon: true },
            React.createElement(SubNav, { label: "Next" },
                React.createElement(Item, { key: "next-design" }, "Design"),
                React.createElement(Item, { key: "next-doc" }, "Document")),
            React.createElement(SubNav, { label: "Meet" },
                React.createElement(Item, { key: "meet-design" }, "Design"),
                React.createElement(Item, { key: "meet-doc" }, "Document"))),
        React.createElement(Item, { key: "document" }, "Document"))), document.getElementById('nav-demo-1'));
